heatmapsM {maigesPack} | R Documentation

## Function to plot heatmaps separating groups generated by SOM or k-means

### Description

This function display individual heatmaps for each group constructed by divisive clustering techniques, like SOM or k-means. It is possible to add hierarchical dendrograms to each group individually.

### Usage

    heatmapsM(data, groups, sampleT=NULL, doHier=FALSE, distfun=dist,
              hclustfun=hclust, ...)

### Arguments

`data` | numeric matrix to be displayed, including all observations from all groups.
`groups` | numeric or character vector (with length equal to columns or rows of data) with identification of the groups to be separated. If numeric must contain the indexes and if character must contain the colnames or rownames.
`sampleT` | list with 2 vectors, the first one specifying the first character of each sample label to be coloured according to the colours specified in the second vector.
`doHier` | logical indicating to plot or not the hierarchical branch in the other dimension of the matrix.
`distfun` | the function to be used for distance calculation.
`hclustfun` | the function for to be used for hierarchical cluster calculation.
`...` | additional parameters for `image` function.

### Details

This function is used internally by the functions `hierM`, `somM` and `kmeansM`. If you want to the hierarchical dendrogram in the other dimension, pay attention to the number of observations in this dimension, because the calculation of the hierarchical branch may be very time consuming!

### Value

This function display the heatmaps and don't return any object or value.

### Author(s)

Elier B. Cristo, addapted by Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`hierM`, `somM`, `kmeansM`

[Package maigesPack version 1.4.0 Index]